aboutsummaryrefslogtreecommitdiff
path: root/deploy.sh
diff options
context:
space:
mode:
authorPeter Hasse2016-11-15 16:59:52 +0100
committerPeter Hasse2016-11-15 16:59:52 +0100
commit9f1746a9eb4d9734bddd41e9a449ba2bed1eca0a (patch)
tree1ece18f08669a01f9872c0a8d3164a4be0076836 /deploy.sh
parent0a4b6faa04fc2e12cb8c3ebb8f8707bfe7e56baa (diff)
added check for depencies to deploy.sd
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
index 650c1e0..be856ee 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -1,5 +1,9 @@
#!/bin/sh
+command -v find >/dev/null 2>&1 || { echo >&2 "I require find but it's not installed. Aborting."; exit 1; }
+command -v xargs >/dev/null 2>&1 || { echo >&2 "I require xargs but it's not installed. Aborting."; exit 1; }
+command -v php >/dev/null 2>&1 || { echo >&2 "I require php but it's not installed. Aborting."; exit 1; }
+
find . -name "*.php" -print0 | xargs -0 -n1 php -l
if [ $? -ne 0 ]; then
echo "not deploying b0rken code ;)"